# consts_utils.R

# Query names determine analysis process
get_classifier_files <- function() {
  return (list(
    classifier_file = "Classifier.txt",
    heatmap_dat_file = "HeatmapData.txt"
  ))
}

get_default_biomarkers <- function() {
  return (list(
    ddi = "DDI",
    hdaci = "HDACi"
  ))
}

get_log_prefix <- function() {
  return ("tgx_classifier")
}

get_error_file_suffix <- function() {
  return ("error_messages.txt")
}

get_plot_file_labels <- function() {
  return (list(
    heatmap = "heatmap",
    dendro = "dendro",
    pca = "PCA",
    plots_all = "plots_all"
  ))
}

get_heatmap_colors <- function() {
  return (list(
    green_red = c("green", "red"),
    blue_yellow = c("blue", "yellow"),
    black_grey = c("black", "grey")
  ))
}

get_txt_file_labels <- function() {
  return (list(
    foldchange = "foldchange_data",
    dist_gene = "gene_cluster_dist",
    dist_chem = "chemical_cluster_dist",
    prediction = "predictions",
    summary = "summary"
  ))
}

get_file_extensions <- function() {
  return (list(
    pdf = "pdf",
    png = "png",
    txt = "txt"
  ))
}
