# sys_utils.R

set_time_zone <- function(time_zone = "GMT") {
  Sys.setenv(ORA_SDTZ = time_zone)
  invisible(Sys.setlocale('LC_ALL','C'))
}

# Get current date from a time zone with default "GMT"
get_date <- function(time_zone = "GMT") {
  Sys.setenv(ORA_SDTZ = time_zone)
  Sys.setlocale('LC_ALL','C')
  stat_run_date <- Sys.Date()
  
  return (stat_run_date)
}

get_current_time_millis <- function() {
  return (as.numeric(Sys.time()) * 1000)
}

# Create a hex value for daily time in million seconds with 7 characters in length
get_unique_id <- function() {
  time_millis <- as.numeric(Sys.time()) * 1000
  time_cut <- as.integer(time_millis %% (10^9)) # R 32 bit integer limit
  hex_num <- as.hexmode(time_cut)

  hex_num
}
