# TGx-DDI and TGx-HDACi Biomarkers for Classification of Chemicals
The TGx-HDACi and TGx-DDI biomarkers were developed as toxicogenomics signatures to identify chemicals that are likely to induce histone deacetylase inhibition or cause DNA damage in human cells in culture. Development of these biomarkers was as a collaborative effort between the Genomics Committee of the Health and Environmental Sciences Institute (HESI), Health Canada, the University of Ottawa, and Georgetown University. The NIEHS Division of Translational Toxicology (DTT) collaborated on the development of the classification tool.

# Dependencies and Requirements
The R scripts were modified from the source codes provided by Health Canada in RStudio and tested with the following R version 

## Additional Sotware Requirements
| Vendor         | Version | Notes                                                          |
| -------------  | ------- | -------------------------------------------------------------- |
| R              | 3.6.0   | Minimum required for executing the TGx-DDI/HDACi R code.       |
| R              | 4.1.2   | Highest version tested for executing the TGx-DDI/HDACi R code. |

## Additional Software Dependencies: R Libraries
* library(Cairo)
* library(heatmap3)
* library(dendextend)
* package(openxlsx)
* package(rjson)
* package(stringi)
* package(zip)


# Contributors

* Genomics Committee of the Health and Environmental Sciences Institute (HESI)
* Health Canada
* Georgetown University
