# source_utils.R
# Utils for importing libraries and source code files

load_shared_libraries <- function() {
  suppressMessages(library(Cairo, warn.conflicts = FALSE))
  suppressMessages(library(heatmap3))
  suppressMessages(library(dendextend))
  suppressMessages(library(rjson)) # required for JSON
  suppressMessages(library(stringi))
  suppressMessages(library(zip))
  # suppressMessages(library(pamr, warn.conflicts = FALSE))
  # suppressMessages(library(Heatplus))
  # suppressMessages(library(dplyr, warn.conflicts = FALSE))
}

# Import all .R scripts in a source directory
load_directory_source <- function(src_dir) {
  src_files <- list.files(src_dir, full.names = TRUE)
  
  for (file in src_files) {
    if (endsWith(file, ".R")) {
      source(file)
    }
  }
}

get_sub_dirs <- function() {
  return (list(
    classifier = "classifier",
    code = "code",
    data = "data",
    logs = "logs",
    results = "results",
    summary = "summary")
  )
}
